define pe_repo::sol10(
  $installer_build = $title,
  $pe_version      = $::pe_build,
) {
  include pe_repo

  File {
    ensure => file,
    mode   => '0644',
    owner  => root,
    group  => root,
  }

  # We don't know the actual package filenames until we have our hands on the
  # build... This will generate the exact list of packages.
  exec { "generate_package_listing ${installer_build}":
    command   => "ls *.pkg.gz > packages.txt",
    cwd       => "${pe_repo::public_dir}/${pe_version}/${installer_build}",
    creates   => "${pe_repo::public_dir}/${pe_version}/${installer_build}/packages.txt",
    path      => "/bin:/usr/bin",
    logoutput => on_failure,
  }

  # These variables are needed by the templates
  $prefix = $pe_repo::prefix
  $master = $pe_repo::master
  $port = $settings::masterport

  file { "${pe_repo::public_dir}/${pe_version}/${installer_build}.bash":
    content => template('pe_repo/sol10.bash.erb'),
  }

  file { "${pe_repo::public_dir}/${pe_version}/${installer_build}/solaris-noask":
    content => template('pe_repo/solaris-noask'),
  }

  pe_repo::repo { "${installer_build} ${pe_version}":
    installer_build => $installer_build,
    pe_version      => $pe_version,
    before          => Exec["generate_package_listing ${installer_build}"],
  }
}

