require 'spec_helper'

describe 'puppet_enterprise::console::console_auth_config' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'console.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
    }

    @params = { 'console_server_certname' => 'console.rspec',
                'rbac_host'               => 'rbac.rspec',
                'rbac_port'    => '4435',}
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }

  describe "managing console auth config.yml" do
    let(:file) { '/etc/puppetlabs/console-auth/config.yml' }
    it { should contain_file(file).with(:owner => 'pe-auth',
                                        :group => 'puppet-dashboard',
                                        :mode => '0640') }

    it { should have_yaml_file(file, 'rbac_api_url' => 'https://rbac.rspec:4435') }
    it { should have_yaml_file(file, 'ca_cert_file' => '/etc/puppetlabs/puppet/ssl/certs/ca.pem') }
    it { should have_yaml_file(file, 'host_private_key_file' => '/opt/puppet/share/puppet-dashboard/certs/console.rspec.private_key.pem') }
    it { should have_yaml_file(file, 'host_cert_file' => '/opt/puppet/share/puppet-dashboard/certs/console.rspec.cert.pem') }
  end

end
